petsc-3.7.1 2016-05-15
Report Typos and Errors

# AOApplicationToPetscPermuteReal

Permutes an array of blocks of reals in the application-defined ordering to the PETSc ordering.

### Synopsis

    #include "petscao.h"
    PetscErrorCode  AOApplicationToPetscPermuteReal(AO ao, PetscInt block, PetscReal array[])

Collective on AO Many br

### Input Parameters

| ao | - The application ordering context Many br
| block | - The block size Many br
| array | - The integer array Many br

### Output Parameter

array -The permuted array Many br

Note: The length of the array should be block*N, where N is length Many brprovided to the AOCreate*() method that created the AO. Many br

The permutation takes array[i_app] --> array[i_pet], where i_app is Many brthe index of 'i' in the application ordering and i_pet is the index Many brof 'i' in the petsc ordering. Many br

Many br

### Keywords

application ordering, mapping

### See Also

AOCreateBasic(), AOView(),AOApplicationToPetsc(), AOPetscToApplicationIS()

Level:beginner
Location:src/vec/is/ao/interface/ao.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages